using System.Collections;
using System.Collections.Generic;
namespace ChillConnect
{
    public class PackrewardCtrl : BaseCtrl
    {
        public static PackrewardCtrl Instance { get; private set; }

        private PackrewardModel model;

        #region 生命周期
        protected override void OnInit()
        {
            Instance = this;
            //model = ModuleManager.Instance..GetModel(ModelConst.PackrewardModel) as PackrewardModel;
        }

        protected override void OnDispose()
        {
            Instance = null;
        }
        #endregion

        #region 消息
        protected override void AddListener()
        {

        }
        protected override void RemoveListener()
        {

        }

        protected override void AddServerListener()
        {

        }
        protected override void RemoveServerListener()
        {

        }
        #endregion
    }
}